commit:     56f7aaeb2de478d83e0efe787c29fbd0c96ef040
Author:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Sat Nov 28 12:24:20 2020 +0000
Commit:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Sat Nov 28 12:25:46 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=56f7aaeb

dev-python/blessed: bump to 1.17.12

Package-Manager: Portage-3.0.8, Repoman-3.0.2
Signed-off-by: Louis Sautier <sbraz <AT> gentoo.org>

 dev-python/blessed/Manifest               |  1 +
 dev-python/blessed/blessed-1.17.12.ebuild | 49 +++++++++++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/dev-python/blessed/Manifest b/dev-python/blessed/Manifest
index 2a97dedf8be..a3536abb43b 100644
--- a/dev-python/blessed/Manifest
+++ b/dev-python/blessed/Manifest
@@ -1 +1,2 @@
 DIST blessed-1.17.11.tar.gz 6697714 BLAKE2B 
a181fac1675b0e06bca54346bd6eea4032fde739888d36a7ec51afbe899e5cc71ad924b6bae45777d9b56567da1771f89d451760ec2b62abaf10f6235c69a66f
 SHA512 
51e627f27aea0082fc93a4b1d10043b1152ae8b625dbb6c73f75e993f8eebc41ed1d8e64667de28afbc4606d066a90dd4c69c79fbed7b5b928d126efd3fbac22
+DIST blessed-1.17.12.tar.gz 6697754 BLAKE2B 
0ae89a587a34936b31114e4bdf77effc51e0ad01b31f3b7e037fe96a44bbfecf1e2f64495d09e2627343f8021116ba1a2d6bccdaac7998b978aebc54e60a7a13
 SHA512 
134bba81793e8e0e33afcd9daa7453f11857b3207d0427f061ccfc0dd1caa17cff32f84883860f69e2a98ecbb5cc609f2a1091ab7ca8ff42322f6e8466ae06da

diff --git a/dev-python/blessed/blessed-1.17.12.ebuild 
b/dev-python/blessed/blessed-1.17.12.ebuild
new file mode 100644
index 00000000000..9904bbe0742
--- /dev/null
+++ b/dev-python/blessed/blessed-1.17.12.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy3 python3_{6..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Library for making terminal apps using colors, keyboard input and 
positioning"
+HOMEPAGE="https://github.com/jquast/blessed";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="MIT"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+       dev-python/six[${PYTHON_USEDEP}]
+       dev-python/wcwidth[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/mock[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_sphinx docs dev-python/sphinx_rtd_theme
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       # Skip those extensions as they don't have a Gentoo package
+       # Remove calls to scripts that generate rst files because they
+       # are not present in the tarball
+       sed -e '/sphinxcontrib.manpage/d' -e '/sphinx_paramlinks/d' \
+               -e '/^for script in/,/runpy.run_path/d' \
+               -i docs/conf.py || die
+       # Requires pytest-xdist and has no value for us
+       sed -i '/^looponfailroots =/d' tox.ini || die
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       # COLORTERM must not be truecolor
+       # See https://github.com/jquast/blessed/issues/162
+       # Ignore coverage options
+       COLORTERM= pytest -vv --override-ini="addopts=" \
+               || die "tests failed with ${EPYTHON}"
+}

Reply via email to